<?php
namespace src\Blog\Admin\Controller;
use Plugin\Controller\Container;
use Plugin\Exception\Error;
class FileController extends Container {

	public function __construct(){
		// Here we are going to make sure the user is logged in before doing anything
		//echo "logged in";
		$this->setSlots("active-nav", "file");
	}
	
	public function manageAction(){
		$render = "Blog:Admin:File/index.html.php";
		$vars = array();		
		$req = $this->getRequest();
		$page = (int) $req->getParam("page",1);
		$page = $page >0?$page:1;
		$fileperpage = 25;
		$em = $this->getManager();
		$vars["files"] = $em->get("Blog:Model:File")->fetchFiles($fileperpage,$page);
		$vars["page"] = $page;
		$vars["totalfiles"] = $em->get("Blog:Model:File")->totalFileCount();
		
		return $this->render("Blog:Admin:index.html.php",array("render"=>$render,"content"=>$vars));
	}
	
	public function addFileAction(){
		$render = "Blog:Admin:File/addfile.html.php";
		$vars = array();
		$req = $this->getRequest();
		$em = $this->getManager();
		
		if ($req->getMethod() === "POST"){
			$id = $em->get("Blog:Model:File")->saveFile($req);
			$url = $req->generateUrl("AdminFileEdit",array("id"=>$id));
			$req->redirectToUrl($url);
		}
		
		return $this->render("Blog:Admin:index.html.php",array("render"=>$render,"content"=>$vars));
	}
	
	public function editFileAction($id){
		$render = "Blog:Admin:File/editfile.html.php";
		$vars = array();
		$req = $this->getRequest();
		$em = $this->getManager();
	
		$file = $em->get("Blog:Model:File")->find($id);
		
		if (!$file){
			$url = $req->generateUrl("AdminFileAdd",array("status"=>"notexist"));
			$req->redirectToUrl($url);
		}
		
		$vars["file"] = $file;
		return $this->render("Blog:Admin:index.html.php",array("render"=>$render,"content"=>$vars));
	}
	
}